#!/bin/bash
PRODUCTNAME="cpbxapi"
TMPDIR="/tmp/cpbxapi"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"
mkdir -p "$IPCDIR/cpbxapi"
touch "$IPCDIR/cpbxapi/patch_done"

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
for f in $DIR/patchs/*
do
  FILENAME=$(basename "$f")
  grep -Fxq "$FILENAME" "$IPCDIR/cpbxapi/patch_done"
  if [ "$?" == "1" ]
  then
    echo "Applying patch $FILENAME"
    EXT="${f##*.}"
    case $EXT in
      sh)
      /bin/bash $f
      ;;
      php)
      /bin/php $f
      ;;
      *)
      echo "I don't know how to handle $EXT file"
      ;;
    esac
    echo $FILENAME >> "$IPCDIR/cpbxapi/patch_done"
  fi
done

rm -rf "$TMPDIR"
exit